--- old/usr/src/uts/common/ipp/flowacct/flowacct.c	2014-07-28 07:44:44.480873119 -0400
+++ new/usr/src/uts/common/ipp/flowacct/flowacct.c	2014-07-28 07:44:44.487201201 -0400
@@ -496,9 +496,9 @@
 		 * the maximum no. of flow items in the table.
 		 */
 	try_again:
-		atomic_add_32(&flowacct_data->nflows, 1);
+		atomic_inc_32(&flowacct_data->nflows);
 		if (flowacct_data->nflows > flowacct_data->max_limit) {
-			atomic_add_32(&flowacct_data->nflows, -1);
+			atomic_dec_32(&flowacct_data->nflows);
 
 			/* Try timing out once */
 			if (just_once) {
@@ -536,7 +536,7 @@
 				    FLOWACCT_DEL_OBJ);
 			}
 			mutex_exit(&fhead->lock);
-			atomic_add_32(&flowacct_data->nflows, -1);
+			atomic_dec_32(&flowacct_data->nflows);
 			flowacct0dbg(("flowacct_update_flows_tbl: mem alloc "\
 			    "error"));
 			return (-1);
@@ -550,7 +550,7 @@
 				    FLOWACCT_DEL_OBJ);
 			}
 			mutex_exit(&fhead->lock);
-			atomic_add_32(&flowacct_data->nflows, -1);
+			atomic_dec_32(&flowacct_data->nflows);
 			kmem_free(item, FLOWACCT_ITEM_SZ);
 			flowacct0dbg(("flowacct_update_flows_tbl: mem alloc "\
 			    "error\n"));
@@ -887,7 +887,7 @@
 			mp = mp->b_cont;
 		} else {
 			flowacct0dbg(("flowacct_process: no data\n"));
-			atomic_add_64(&flowacct_data->epackets, 1);
+			atomic_inc_64(&flowacct_data->epackets);
 			return (EINVAL);
 		}
 	}
@@ -895,26 +895,26 @@
 	header = kmem_zalloc(FLOWACCT_HEADER_SZ, KM_NOSLEEP);
 	if (header == NULL) {
 		flowacct0dbg(("flowacct_process: error allocing mem"));
-		atomic_add_64(&flowacct_data->epackets, 1);
+		atomic_inc_64(&flowacct_data->epackets);
 		return (ENOMEM);
 	}
 
 	/* Get all the required information into header. */
 	if (flowacct_extract_header(mp, header) != 0) {
 		kmem_free(header, FLOWACCT_HEADER_SZ);
-		atomic_add_64(&flowacct_data->epackets, 1);
+		atomic_inc_64(&flowacct_data->epackets);
 		return (EINVAL);
 	}
 
 	/* Updated the flow table with this entry */
 	if (flowacct_update_flows_tbl(header, flowacct_data) != 0) {
 		kmem_free(header, FLOWACCT_HEADER_SZ);
-		atomic_add_64(&flowacct_data->epackets, 1);
+		atomic_inc_64(&flowacct_data->epackets);
 		return (ENOMEM);
 	}
 
 	/* Update global stats */
-	atomic_add_64(&flowacct_data->npackets, 1);
+	atomic_inc_64(&flowacct_data->npackets);
 	atomic_add_64(&flowacct_data->nbytes, header->pktlen);
 
 	kmem_free(header, FLOWACCT_HEADER_SZ);
--- old/usr/src/uts/common/ipp/ipgpc/classifierddi.c	2014-07-28 07:44:44.680141888 -0400
+++ new/usr/src/uts/common/ipp/ipgpc/classifierddi.c	2014-07-28 07:44:44.686103809 -0400
@@ -413,7 +413,7 @@
 			mp = mp->b_cont; /* jump over the M_CTL into M_DATA */
 		} else {
 			ipgpc0dbg(("ipgpc_invoke_action: no data\n"));
-			atomic_add_64(&ipgpc_epackets, 1);
+			atomic_inc_64(&ipgpc_epackets);
 			return (EINVAL);
 		}
 	}
@@ -485,7 +485,7 @@
 
 	/* ipgpc_classify will only return NULL if a memory error occured */
 	if (out_class == NULL) {
-		atomic_add_64(&ipgpc_epackets, 1);
+		atomic_inc_64(&ipgpc_epackets);
 		return (ENOMEM);
 	}
 
@@ -495,7 +495,7 @@
 
 	if ((rc = ipp_packet_add_class(packet, out_class->class_name,
 	    out_class->next_action)) != 0) {
-		atomic_add_64(&ipgpc_epackets, 1);
+		atomic_inc_64(&ipgpc_epackets);
 		ipgpc0dbg(("ipgpc_invoke_action: ipp_packet_add_class " \
 		    "failed with error %d", rc));
 		return (rc);
--- old/usr/src/uts/common/ipp/ipgpc/filters.c	2014-07-28 07:44:44.858111061 -0400
+++ new/usr/src/uts/common/ipp/ipgpc/filters.c	2014-07-28 07:44:44.864249278 -0400
@@ -275,7 +275,7 @@
 static void
 element_node_ref(element_node_t *element)
 {
-	atomic_add_32(&element->element_refcnt, 1);
+	atomic_inc_32(&element->element_refcnt);
 	ASSERT(element->element_refcnt > 1);
 }
 
@@ -283,7 +283,7 @@
 element_node_unref(element_node_t *element)
 {
 	ASSERT(element->element_refcnt > 0);
-	if (atomic_add_32_nv(&element->element_refcnt, -1) == 0) {
+	if (atomic_dec_32_nv(&element->element_refcnt) == 0) {
 		kmem_cache_free(element_node_cache, element);
 	}
 }
@@ -1136,7 +1136,7 @@
 		mutex_exit(&ipgpc_cid_list_lock);
 	}
 	mutex_exit(&ipgpc_fid_list_lock);
-	atomic_add_long(&ipgpc_num_fltrs, 1);
+	atomic_inc_ulong(&ipgpc_num_fltrs);
 	ipgpc3dbg(("ipgpc_addfilter: adding filter %s", filter->filter_name));
 	return (0);
 }
@@ -1154,12 +1154,12 @@
 	int i;
 
 	for (i = 0; i < NUM_TRIES; ++i) {
-		atomic_add_32(&ipgpc_trie_list[i].stats.num_dontcare, -1);
+		atomic_dec_32(&ipgpc_trie_list[i].stats.num_dontcare);
 	}
 	for (i = 0; i < NUM_TABLES; ++i) {
-		atomic_add_32(&ipgpc_table_list[i].stats.num_dontcare, -1);
+		atomic_dec_32(&ipgpc_table_list[i].stats.num_dontcare);
 	}
-	atomic_add_32(&ipgpc_ds_table_id.stats.num_dontcare, -1);
+	atomic_dec_32(&ipgpc_ds_table_id.stats.num_dontcare);
 }
 
 /*
@@ -1357,7 +1357,7 @@
 		bcopy(in_class->class_name,
 		    ipgpc_cid_list[class_id].aclass.class_name, MAXNAMELEN);
 		ipgpc_cid_list[class_id].filter_list = NULL;
-		atomic_add_long(&ipgpc_num_cls, 1);
+		atomic_inc_ulong(&ipgpc_num_cls);
 	} else {
 		ipgpc0dbg(("insertcid: class name lookup error %d", err));
 		mutex_exit(&ipgpc_cid_list_lock);
@@ -1504,7 +1504,7 @@
 	/* remove filter id from class' list of filters */
 	remove_from_cid_filter_list(ipgpc_fid_list[filter_id].class_id,
 	    filter_id);
-	atomic_add_long(&ipgpc_num_fltrs, -1);
+	atomic_dec_ulong(&ipgpc_num_fltrs);
 	return (0);
 }
 
@@ -1525,7 +1525,7 @@
 		ipgpc_cid_list[in_class_id].cl_stats = NULL;
 	}
 	/* decrement total number of classes loaded */
-	atomic_add_long(&ipgpc_num_cls, -1);
+	atomic_dec_ulong(&ipgpc_num_cls);
 }
 
 /*
--- old/usr/src/uts/common/ipp/ippconf.c	2014-07-28 07:44:45.117153607 -0400
+++ new/usr/src/uts/common/ipp/ippconf.c	2014-07-28 07:44:45.123114156 -0400
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/param.h>
 #include <sys/modctl.h>
@@ -1378,7 +1376,7 @@
 			 *	 being incremented.
 			 */
 
-			atomic_add_32(&(ap->ippa_packets), 1);
+			atomic_inc_32(&(ap->ippa_packets));
 
 			imp = ap->ippa_mod;
 			ASSERT(imp != NULL);
@@ -1420,7 +1418,7 @@
 			 * Decrement the packet count.
 			 */
 
-			atomic_add_32(&(ap->ippa_packets), -1);
+			atomic_dec_32(&(ap->ippa_packets));
 
 			/*
 			 * If the class' action id is the same now as it was
@@ -2379,7 +2377,7 @@
 	 * freed.
 	 */
 
-	atomic_add_32(&(imp->ippm_hold_count), 1);
+	atomic_inc_32(&(imp->ippm_hold_count));
 	rw_exit(ipp_mod_byid_lock);
 
 	return (imp);
@@ -2397,7 +2395,7 @@
 	 */
 
 	ASSERT(imp->ippm_hold_count != 0);
-	atomic_add_32(&(imp->ippm_hold_count), -1);
+	atomic_dec_32(&(imp->ippm_hold_count));
 
 	/*
 	 * If the structure has 'destruct pending' set then we tried to free
@@ -3071,7 +3069,7 @@
 	 * freed.
 	 */
 
-	atomic_add_32(&(ap->ippa_hold_count), 1);
+	atomic_inc_32(&(ap->ippa_hold_count));
 	rw_exit(ipp_action_byid_lock);
 
 	return (ap);
@@ -3089,7 +3087,7 @@
 	 */
 
 	ASSERT(ap->ippa_hold_count != 0);
-	atomic_add_32(&(ap->ippa_hold_count), -1);
+	atomic_dec_32(&(ap->ippa_hold_count));
 
 	/*
 	 * If the structure has 'destruct pending' set then we tried to free
--- old/usr/src/uts/common/ipp/meters/tokenmt.c	2014-07-28 07:44:45.389669737 -0400
+++ new/usr/src/uts/common/ipp/meters/tokenmt.c	2014-07-28 07:44:45.395598617 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/kmem.h>
 #include <sys/conf.h>
@@ -84,7 +82,7 @@
 
 	if (mp == NULL) {
 		tokenmt0dbg(("tokenmt_process: null mp!\n"));
-		atomic_add_64(&tokenmt_data->epackets, 1);
+		atomic_inc_64(&tokenmt_data->epackets);
 		return (EINVAL);
 	}
 
@@ -94,7 +92,7 @@
 			mp = mp->b_cont;
 		} else {
 			tokenmt0dbg(("tokenmt_process: no data\n"));
-			atomic_add_64(&tokenmt_data->epackets, 1);
+			atomic_inc_64(&tokenmt_data->epackets);
 			return (EINVAL);
 		}
 	}
@@ -103,7 +101,7 @@
 	if ((mp->b_wptr - mp->b_rptr) < IP_SIMPLE_HDR_LENGTH) {
 		if (!pullupmsg(mp, IP_SIMPLE_HDR_LENGTH)) {
 			tokenmt0dbg(("tokenmt_process: pullup error\n"));
-			atomic_add_64(&tokenmt_data->epackets, 1);
+			atomic_inc_64(&tokenmt_data->epackets);
 			return (EINVAL);
 		}
 	}
@@ -218,14 +216,14 @@
 
 	/* Update Stats */
 	if (*next_action == cfg_parms->green_action) {
-		atomic_add_64(&tokenmt_data->green_packets, 1);
+		atomic_inc_64(&tokenmt_data->green_packets);
 		atomic_add_64(&tokenmt_data->green_bits, pkt_len);
 	} else if (*next_action == cfg_parms->yellow_action) {
-		atomic_add_64(&tokenmt_data->yellow_packets, 1);
+		atomic_inc_64(&tokenmt_data->yellow_packets);
 		atomic_add_64(&tokenmt_data->yellow_bits, pkt_len);
 	} else {
 		ASSERT(*next_action == cfg_parms->red_action);
-		atomic_add_64(&tokenmt_data->red_packets, 1);
+		atomic_inc_64(&tokenmt_data->red_packets);
 		atomic_add_64(&tokenmt_data->red_bits, pkt_len);
 	}
 
--- old/usr/src/uts/common/ipp/meters/tswtcl.c	2014-07-28 07:44:45.564099226 -0400
+++ new/usr/src/uts/common/ipp/meters/tswtcl.c	2014-07-28 07:44:45.570144206 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/kmem.h>
 #include <sys/random.h>
@@ -74,7 +72,7 @@
 
 	if (mp == NULL) {
 		tswtcl0dbg(("tswtcl_process: null mp!\n"));
-		atomic_add_64(&tswtcl_data->epackets, 1);
+		atomic_inc_64(&tswtcl_data->epackets);
 		return (EINVAL);
 	}
 
@@ -84,7 +82,7 @@
 			mp = mp->b_cont;
 		} else {
 			tswtcl0dbg(("tswtcl_process: no data\n"));
-			atomic_add_64(&tswtcl_data->epackets, 1);
+			atomic_inc_64(&tswtcl_data->epackets);
 			return (EINVAL);
 		}
 	}
@@ -93,7 +91,7 @@
 	if ((mp->b_wptr - mp->b_rptr) < IP_SIMPLE_HDR_LENGTH) {
 		if (!pullupmsg(mp, IP_SIMPLE_HDR_LENGTH)) {
 			tswtcl0dbg(("tswtcl_process: pullup error\n"));
-			atomic_add_64(&tswtcl_data->epackets, 1);
+			atomic_inc_64(&tswtcl_data->epackets);
 			return (EINVAL);
 		}
 	}
@@ -184,14 +182,14 @@
 
 	/* Update Stats */
 	if (*next_action == cfg_parms->green_action) {
-		atomic_add_64(&tswtcl_data->green_packets, 1);
+		atomic_inc_64(&tswtcl_data->green_packets);
 		atomic_add_64(&tswtcl_data->green_bits, pkt_len);
 	} else if (*next_action == cfg_parms->yellow_action) {
-		atomic_add_64(&tswtcl_data->yellow_packets, 1);
+		atomic_inc_64(&tswtcl_data->yellow_packets);
 		atomic_add_64(&tswtcl_data->yellow_bits, pkt_len);
 	} else {
 		ASSERT(*next_action == cfg_parms->red_action);
-		atomic_add_64(&tswtcl_data->red_packets, 1);
+		atomic_inc_64(&tswtcl_data->red_packets);
 		atomic_add_64(&tswtcl_data->red_bits, pkt_len);
 	}
 	return (0);
--- old/usr/src/uts/common/os/audit_memory.c	2014-07-28 07:44:45.735949027 -0400
+++ new/usr/src/uts/common/os/audit_memory.c	2014-07-28 07:44:45.741890534 -0400
@@ -39,7 +39,7 @@
 void
 au_pathhold(struct audit_path *app)
 {
-	atomic_add_32(&app->audp_ref, 1);
+	atomic_inc_32(&app->audp_ref);
 }
 
 /*
@@ -48,7 +48,7 @@
 void
 au_pathrele(struct audit_path *app)
 {
-	if (atomic_add_32_nv(&app->audp_ref, -1) > 0)
+	if (atomic_dec_32_nv(&app->audp_ref) > 0)
 		return;
 	kmem_free(app, app->audp_size);
 }
--- old/usr/src/uts/common/os/bio.c	2014-07-28 07:44:45.901660592 -0400
+++ new/usr/src/uts/common/os/bio.c	2014-07-28 07:44:45.907671468 -0400
@@ -1213,7 +1213,7 @@
 	ASSERT(SEMA_HELD(&bp->b_sem));
 
 	cpup = CPU;
-	atomic_add_64(&cpup->cpu_stats.sys.iowait, 1);
+	atomic_inc_64(&cpup->cpu_stats.sys.iowait);
 	DTRACE_IO1(wait__start, struct buf *, bp);
 
 	/*
@@ -1226,7 +1226,7 @@
 		sema_p(&bp->b_io);
 
 	DTRACE_IO1(wait__done, struct buf *, bp);
-	atomic_add_64(&cpup->cpu_stats.sys.iowait, -1);
+	atomic_dec_64(&cpup->cpu_stats.sys.iowait);
 
 	error = geterror(bp);
 	if ((bp->b_flags & B_ASYNC) == 0) {
--- old/usr/src/uts/common/os/clock.c	2014-07-28 07:44:46.133620366 -0400
+++ new/usr/src/uts/common/os/clock.c	2014-07-28 07:44:46.139576809 -0400
@@ -1982,7 +1982,7 @@
 	 * typically be a multiple of the total number of CPUs in
 	 * the system.
 	 */
-	atomic_add_32(&deadman_panics, 1);
+	atomic_inc_32(&deadman_panics);
 
 	if (!deadman_enabled) {
 		CPU->cpu_deadman_countdown = deadman_seconds;
--- old/usr/src/uts/common/os/contract.c	2014-07-28 07:44:46.384253173 -0400
+++ new/usr/src/uts/common/os/contract.c	2014-07-28 07:44:46.390236772 -0400
@@ -2302,7 +2302,7 @@
 	e->cte_data = data;
 	e->cte_gdata = gdata;
 	e->cte_refs = 3;
-	evid = e->cte_id = atomic_add_64_nv(&ct->ct_type->ct_type_evid, 1);
+	evid = e->cte_id = atomic_inc_64_nv(&ct->ct_type->ct_type_evid);
 	contract_hold(ct);
 
 	/*
--- old/usr/src/uts/common/os/cred.c	2014-07-28 07:44:46.636298874 -0400
+++ new/usr/src/uts/common/os/cred.c	2014-07-28 07:44:46.642264939 -0400
@@ -344,7 +344,7 @@
 crhold(cred_t *cr)
 {
 	ASSERT(cr->cr_ref != 0xdeadbeef && cr->cr_ref != 0);
-	atomic_add_32(&cr->cr_ref, 1);
+	atomic_inc_32(&cr->cr_ref);
 }
 
 /*
@@ -355,7 +355,7 @@
 crfree(cred_t *cr)
 {
 	ASSERT(cr->cr_ref != 0xdeadbeef && cr->cr_ref != 0);
-	if (atomic_add_32_nv(&cr->cr_ref, -1) == 0) {
+	if (atomic_dec_32_nv(&cr->cr_ref) == 0) {
 		ASSERT(cr != kcred);
 		if (cr->cr_label)
 			label_rele(cr->cr_label);
@@ -1467,12 +1467,12 @@
 void
 crgrprele(credgrp_t *grps)
 {
-	if (atomic_add_32_nv(&grps->crg_ref, -1) == 0)
+	if (atomic_dec_32_nv(&grps->crg_ref) == 0)
 		kmem_free(grps, CREDGRPSZ(grps->crg_ngroups));
 }
 
 static void
 crgrphold(credgrp_t *grps)
 {
-	atomic_add_32(&grps->crg_ref, 1);
+	atomic_inc_32(&grps->crg_ref);
 }
--- old/usr/src/uts/common/os/ddi_intr.c	2014-07-28 07:44:46.844793788 -0400
+++ new/usr/src/uts/common/os/ddi_intr.c	2014-07-28 07:44:46.850779215 -0400
@@ -678,7 +678,7 @@
 		dup_hdlp = (ddi_intr_handle_impl_t *)
 		    kmem_alloc(sizeof (ddi_intr_handle_impl_t), KM_SLEEP);
 
-		atomic_add_32(&hdlp->ih_dup_cnt, 1);
+		atomic_inc_32(&hdlp->ih_dup_cnt);
 
 		*dup = (ddi_intr_handle_t)dup_hdlp;
 		bcopy(hdlp, dup_hdlp, sizeof (ddi_intr_handle_impl_t));
--- old/usr/src/uts/common/os/ddifm.c	2014-07-28 07:44:47.060136496 -0400
+++ new/usr/src/uts/common/os/ddifm.c	2014-07-28 07:44:47.066107722 -0400
@@ -455,7 +455,7 @@
 
 	/* Count errors as drops. */
 err:	if (fmhdl)
-		atomic_add_64(&fmhdl->fh_kstat.fek_erpt_dropped.value.ui64, 1);
+		atomic_inc_64(&fmhdl->fh_kstat.fek_erpt_dropped.value.ui64);
 
 	/* Free up nvlists if normal interfaces were used to allocate memory */
 out:	if (ereport && (nva == NULL))
@@ -1019,7 +1019,7 @@
 	i_hdlp->ahi_err->err_ena = ena;
 	i_hdlp->ahi_err->err_status = status;
 	i_hdlp->ahi_err->err_expected = flag;
-	atomic_add_64(&fmhdl->fh_kstat.fek_acc_err.value.ui64, 1);
+	atomic_inc_64(&fmhdl->fh_kstat.fek_acc_err.value.ui64);
 }
 
 void
@@ -1032,7 +1032,7 @@
 	hdlp->dmai_error.err_ena = ena;
 	hdlp->dmai_error.err_status = status;
 	hdlp->dmai_error.err_expected = flag;
-	atomic_add_64(&fmhdl->fh_kstat.fek_dma_err.value.ui64, 1);
+	atomic_inc_64(&fmhdl->fh_kstat.fek_dma_err.value.ui64);
 }
 
 ddi_fmcompare_t
--- old/usr/src/uts/common/os/devcfg.c	2014-07-28 07:44:47.258298012 -0400
+++ new/usr/src/uts/common/os/devcfg.c	2014-07-28 07:44:47.264577758 -0400
@@ -1612,10 +1612,10 @@
 				rv = DDI_FAILURE;
 				break;
 			}
-			atomic_add_long(&devinfo_attach_detach, 1);
+			atomic_inc_ulong(&devinfo_attach_detach);
 			if ((rv = attach_node(dip)) == DDI_SUCCESS)
 				i_ddi_set_node_state(dip, DS_ATTACHED);
-			atomic_add_long(&devinfo_attach_detach, -1);
+			atomic_dec_ulong(&devinfo_attach_detach);
 			break;
 		case DS_ATTACHED:
 			if ((rv = postattach_node(dip)) == DDI_SUCCESS)
@@ -1681,7 +1681,7 @@
 				i_ddi_set_node_state(dip, DS_INITIALIZED);
 			break;
 		case DS_ATTACHED:
-			atomic_add_long(&devinfo_attach_detach, 1);
+			atomic_inc_ulong(&devinfo_attach_detach);
 
 			mutex_enter(&(DEVI(dip)->devi_lock));
 			DEVI_SET_DETACHING(dip);
@@ -1696,7 +1696,7 @@
 			DEVI_CLR_DETACHING(dip);
 			mutex_exit(&(DEVI(dip)->devi_lock));
 
-			atomic_add_long(&devinfo_attach_detach, -1);
+			atomic_dec_ulong(&devinfo_attach_detach);
 			break;
 		case DS_READY:
 			if ((rv = predetach_node(dip, flag)) == DDI_SUCCESS)
--- old/usr/src/uts/common/os/devpolicy.c	2014-07-28 07:44:47.732918721 -0400
+++ new/usr/src/uts/common/os/devpolicy.c	2014-07-28 07:44:47.738810708 -0400
@@ -181,14 +181,14 @@
 dphold(devplcy_t *dp)
 {
 	ASSERT(dp->dp_ref != 0xdeadbeef && dp->dp_ref != 0);
-	atomic_add_32(&dp->dp_ref, 1);
+	atomic_inc_32(&dp->dp_ref);
 }
 
 void
 dpfree(devplcy_t *dp)
 {
 	ASSERT(dp->dp_ref != 0xdeadbeef && dp->dp_ref != 0);
-	if (atomic_add_32_nv(&dp->dp_ref, -1) == 0)
+	if (atomic_dec_32_nv(&dp->dp_ref) == 0)
 		kmem_free(dp, sizeof (*dp));
 }
 
--- old/usr/src/uts/common/os/driver_lyr.c	2014-07-28 07:44:47.919916313 -0400
+++ new/usr/src/uts/common/os/driver_lyr.c	2014-07-28 07:44:47.925985340 -0400
@@ -408,7 +408,7 @@
 	/* add it to the handle hash */
 	lhp->lh_next = ldi_handle_hash[index];
 	ldi_handle_hash[index] = lhp;
-	atomic_add_long(&ldi_handle_hash_count, 1);
+	atomic_inc_ulong(&ldi_handle_hash_count);
 
 	LDI_ALLOCFREE((CE_WARN, "ldi handle alloc: new "
 	    "lh=0x%p, ident=0x%p, vp=0x%p, drv=%s, minor=0x%x",
@@ -448,7 +448,7 @@
 	lhpp = handle_find_ref_nolock(lhp->lh_vp, lhp->lh_ident);
 	ASSERT((lhpp != NULL) && (*lhpp != NULL));
 	*lhpp = lhp->lh_next;
-	atomic_add_long(&ldi_handle_hash_count, -1);
+	atomic_dec_ulong(&ldi_handle_hash_count);
 	mutex_exit(&ldi_handle_hash_lock[index]);
 
 	VN_RELE(lhp->lh_vp);
--- old/usr/src/uts/common/os/errorq.c	2014-07-28 07:44:48.205901699 -0400
+++ new/usr/src/uts/common/os/errorq.c	2014-07-28 07:44:48.211911460 -0400
@@ -524,7 +524,7 @@
 	errorq_elem_t *eep, *old;
 
 	if (eqp == NULL || !(eqp->eq_flags & ERRORQ_ACTIVE)) {
-		atomic_add_64(&errorq_lost, 1);
+		atomic_inc_64(&errorq_lost);
 		return; /* drop error if queue is uninitialized or disabled */
 	}
 
@@ -533,7 +533,7 @@
 
 		if ((i = errorq_availbit(eqp->eq_bitmap, eqp->eq_qlen,
 		    eqp->eq_rotor)) == -1) {
-			atomic_add_64(&eqp->eq_kstat.eqk_dropped.value.ui64, 1);
+			atomic_inc_64(&eqp->eq_kstat.eqk_dropped.value.ui64);
 			return;
 		}
 		BT_ATOMIC_SET_EXCL(eqp->eq_bitmap, i, rval);
@@ -559,7 +559,7 @@
 			break;
 	}
 
-	atomic_add_64(&eqp->eq_kstat.eqk_dispatched.value.ui64, 1);
+	atomic_inc_64(&eqp->eq_kstat.eqk_dispatched.value.ui64);
 
 	if (flag == ERRORQ_ASYNC && eqp->eq_id != NULL)
 		ddi_trigger_softintr(eqp->eq_id);
@@ -867,7 +867,7 @@
 	errorq_elem_t *eqep;
 
 	if (eqp == NULL || !(eqp->eq_flags & ERRORQ_ACTIVE)) {
-		atomic_add_64(&errorq_lost, 1);
+		atomic_inc_64(&errorq_lost);
 		return (NULL);
 	}
 
@@ -876,7 +876,7 @@
 
 		if ((i = errorq_availbit(eqp->eq_bitmap, eqp->eq_qlen,
 		    eqp->eq_rotor)) == -1) {
-			atomic_add_64(&eqp->eq_kstat.eqk_dropped.value.ui64, 1);
+			atomic_inc_64(&eqp->eq_kstat.eqk_dropped.value.ui64);
 			return (NULL);
 		}
 		BT_ATOMIC_SET_EXCL(eqp->eq_bitmap, i, rval);
@@ -893,7 +893,7 @@
 		eqnp->eqn_nvl = fm_nvlist_create(eqnp->eqn_nva);
 	}
 
-	atomic_add_64(&eqp->eq_kstat.eqk_reserved.value.ui64, 1);
+	atomic_inc_64(&eqp->eq_kstat.eqk_reserved.value.ui64);
 	return (eqep);
 }
 
@@ -908,7 +908,7 @@
 	errorq_elem_t *old;
 
 	if (eqep == NULL || !(eqp->eq_flags & ERRORQ_ACTIVE)) {
-		atomic_add_64(&eqp->eq_kstat.eqk_commit_fail.value.ui64, 1);
+		atomic_inc_64(&eqp->eq_kstat.eqk_commit_fail.value.ui64);
 		return;
 	}
 
@@ -921,7 +921,7 @@
 			break;
 	}
 
-	atomic_add_64(&eqp->eq_kstat.eqk_committed.value.ui64, 1);
+	atomic_inc_64(&eqp->eq_kstat.eqk_committed.value.ui64);
 
 	if (flag == ERRORQ_ASYNC && eqp->eq_id != NULL)
 		ddi_trigger_softintr(eqp->eq_id);
@@ -939,7 +939,7 @@
 
 	BT_ATOMIC_CLEAR(eqp->eq_bitmap, eqep - eqp->eq_elems);
 
-	atomic_add_64(&eqp->eq_kstat.eqk_cancelled.value.ui64, 1);
+	atomic_inc_64(&eqp->eq_kstat.eqk_cancelled.value.ui64);
 }
 
 /*
--- old/usr/src/uts/common/os/evchannels.c	2014-07-28 07:44:48.406552511 -0400
+++ new/usr/src/uts/common/os/evchannels.c	2014-07-28 07:44:48.412497947 -0400
@@ -379,7 +379,7 @@
 {
 	int32_t refcnt;
 
-	refcnt = (int32_t)atomic_add_32_nv(&evp->ge_refcount, -1);
+	refcnt = (int32_t)atomic_dec_32_nv(&evp->ge_refcount);
 	if (refcnt <= 0) {
 		if (evp->ge_destruct != NULL) {
 			evp->ge_destruct((void *)&(evp->ge_payload),
@@ -647,7 +647,7 @@
 	}
 	qep->q_objref = (void *)evp;
 	qep->q_objsize = size;
-	atomic_add_32(&evp->ge_refcount, 1);
+	atomic_inc_32(&evp->ge_refcount);
 	mutex_enter(&eqp->eq_queuemx);
 	evch_q_in(&eqp->eq_eventq, qep);
 
--- old/usr/src/uts/common/os/exit.c	2014-07-28 07:44:48.648643784 -0400
+++ new/usr/src/uts/common/os/exit.c	2014-07-28 07:44:48.654662890 -0400
@@ -597,7 +597,7 @@
 	 */
 	mutex_enter(&p->p_lock);
 	ASSERT(p->p_pool->pool_ref > 0);
-	atomic_add_32(&p->p_pool->pool_ref, -1);
+	atomic_dec_32(&p->p_pool->pool_ref);
 	p->p_pool = pool_default;
 	/*
 	 * Now that our address space has been freed and all other threads
--- old/usr/src/uts/common/os/fio.c	2014-07-28 07:44:48.856398023 -0400
+++ new/usr/src/uts/common/os/fio.c	2014-07-28 07:44:48.862357777 -0400
@@ -67,7 +67,7 @@
 static uint32_t afd_free;	/* count of kmem_free()s */
 static uint32_t afd_wait;	/* count of waits on non-zero ref count */
 #define	MAXFD(x)	(afd_maxfd = ((afd_maxfd >= (x))? afd_maxfd : (x)))
-#define	COUNT(x)	atomic_add_32(&x, 1)
+#define	COUNT(x)	atomic_inc_32(&x)
 
 #else	/* DEBUG */
 
--- old/usr/src/uts/common/os/fm.c	2014-07-28 07:44:49.090842124 -0400
+++ new/usr/src/uts/common/os/fm.c	2014-07-28 07:44:49.096832095 -0400
@@ -517,19 +517,19 @@
 
 	(void) nvlist_size(ereport, &nvl_size, NV_ENCODE_NATIVE);
 	if (nvl_size > ERPT_DATA_SZ || nvl_size == 0) {
-		atomic_add_64(&erpt_kstat_data.erpt_dropped.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.erpt_dropped.value.ui64);
 		return;
 	}
 
 	if (sysevent_evc_bind(FM_ERROR_CHAN, &error_chan,
 	    EVCH_CREAT|EVCH_HOLD_PEND) != 0) {
-		atomic_add_64(&erpt_kstat_data.erpt_dropped.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.erpt_dropped.value.ui64);
 		return;
 	}
 
 	if (sysevent_evc_publish(error_chan, EC_FM, ESC_FM_ERROR,
 	    SUNW_VENDOR, FM_PUB, ereport, evc_flag) != 0) {
-		atomic_add_64(&erpt_kstat_data.erpt_dropped.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.erpt_dropped.value.ui64);
 		(void) sysevent_evc_unbind(error_chan);
 		return;
 	}
@@ -791,8 +791,7 @@
 	va_end(ap);
 
 	if (ret)
-		atomic_add_64(
-		    &erpt_kstat_data.payload_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.payload_set_failed.value.ui64);
 }
 
 /*
@@ -825,24 +824,24 @@
 	int ret;
 
 	if (version != FM_EREPORT_VERS0) {
-		atomic_add_64(&erpt_kstat_data.erpt_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.erpt_set_failed.value.ui64);
 		return;
 	}
 
 	(void) snprintf(ereport_class, FM_MAX_CLASS, "%s.%s",
 	    FM_EREPORT_CLASS, erpt_class);
 	if (nvlist_add_string(ereport, FM_CLASS, ereport_class) != 0) {
-		atomic_add_64(&erpt_kstat_data.erpt_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.erpt_set_failed.value.ui64);
 		return;
 	}
 
 	if (nvlist_add_uint64(ereport, FM_EREPORT_ENA, ena)) {
-		atomic_add_64(&erpt_kstat_data.erpt_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.erpt_set_failed.value.ui64);
 	}
 
 	if (nvlist_add_nvlist(ereport, FM_EREPORT_DETECTOR,
 	    (nvlist_t *)detector) != 0) {
-		atomic_add_64(&erpt_kstat_data.erpt_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.erpt_set_failed.value.ui64);
 	}
 
 	va_start(ap, detector);
@@ -851,7 +850,7 @@
 	va_end(ap);
 
 	if (ret)
-		atomic_add_64(&erpt_kstat_data.erpt_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.erpt_set_failed.value.ui64);
 }
 
 /*
@@ -874,19 +873,19 @@
 fm_fmri_hc_set_common(nvlist_t *fmri, int version, const nvlist_t *auth)
 {
 	if (version != FM_HC_SCHEME_VERSION) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return (0);
 	}
 
 	if (nvlist_add_uint8(fmri, FM_VERSION, version) != 0 ||
 	    nvlist_add_string(fmri, FM_FMRI_SCHEME, FM_FMRI_SCHEME_HC) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return (0);
 	}
 
 	if (auth != NULL && nvlist_add_nvlist(fmri, FM_FMRI_AUTHORITY,
 	    (nvlist_t *)auth) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return (0);
 	}
 
@@ -918,22 +917,22 @@
 		pairs[i] = fm_nvlist_create(nva);
 		if (nvlist_add_string(pairs[i], FM_FMRI_HC_NAME, name) != 0 ||
 		    nvlist_add_string(pairs[i], FM_FMRI_HC_ID, idstr) != 0) {
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 		}
 	}
 	va_end(ap);
 
 	if (nvlist_add_nvlist_array(fmri, FM_FMRI_HC_LIST, pairs, npairs) != 0)
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 
 	for (i = 0; i < npairs; i++)
 		fm_nvlist_destroy(pairs[i], FM_NVA_RETAIN);
 
 	if (snvl != NULL) {
 		if (nvlist_add_nvlist(fmri, FM_FMRI_HC_SPECIFIC, snvl) != 0) {
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 		}
 	}
 }
@@ -958,7 +957,7 @@
 	int err = 0;
 
 	if (version != DEV_SCHEME_VERSION0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
@@ -979,7 +978,7 @@
 		err |= nvlist_add_string(fmri_dev, FM_FMRI_DEV_TGTPTLUN0, tpl0);
 
 	if (err)
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 
 }
 
@@ -1004,35 +1003,35 @@
 	uint64_t *failedp = &erpt_kstat_data.fmri_set_failed.value.ui64;
 
 	if (version < CPU_SCHEME_VERSION1) {
-		atomic_add_64(failedp, 1);
+		atomic_inc_64(failedp);
 		return;
 	}
 
 	if (nvlist_add_uint8(fmri_cpu, FM_VERSION, version) != 0) {
-		atomic_add_64(failedp, 1);
+		atomic_inc_64(failedp);
 		return;
 	}
 
 	if (nvlist_add_string(fmri_cpu, FM_FMRI_SCHEME,
 	    FM_FMRI_SCHEME_CPU) != 0) {
-		atomic_add_64(failedp, 1);
+		atomic_inc_64(failedp);
 		return;
 	}
 
 	if (auth != NULL && nvlist_add_nvlist(fmri_cpu, FM_FMRI_AUTHORITY,
 	    (nvlist_t *)auth) != 0)
-		atomic_add_64(failedp, 1);
+		atomic_inc_64(failedp);
 
 	if (nvlist_add_uint32(fmri_cpu, FM_FMRI_CPU_ID, cpu_id) != 0)
-		atomic_add_64(failedp, 1);
+		atomic_inc_64(failedp);
 
 	if (cpu_maskp != NULL && nvlist_add_uint8(fmri_cpu, FM_FMRI_CPU_MASK,
 	    *cpu_maskp) != 0)
-		atomic_add_64(failedp, 1);
+		atomic_inc_64(failedp);
 
 	if (serial_idp == NULL || nvlist_add_string(fmri_cpu,
 	    FM_FMRI_CPU_SERIAL_ID, (char *)serial_idp) != 0)
-			atomic_add_64(failedp, 1);
+			atomic_inc_64(failedp);
 }
 
 /*
@@ -1053,49 +1052,47 @@
     const char *unum, const char *serial, uint64_t offset)
 {
 	if (version != MEM_SCHEME_VERSION0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
 	if (!serial && (offset != (uint64_t)-1)) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
 	if (nvlist_add_uint8(fmri, FM_VERSION, version) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
 	if (nvlist_add_string(fmri, FM_FMRI_SCHEME, FM_FMRI_SCHEME_MEM) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
 	if (auth != NULL) {
 		if (nvlist_add_nvlist(fmri, FM_FMRI_AUTHORITY,
 		    (nvlist_t *)auth) != 0) {
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 		}
 	}
 
 	if (nvlist_add_string(fmri, FM_FMRI_MEM_UNUM, unum) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 	}
 
 	if (serial != NULL) {
 		if (nvlist_add_string_array(fmri, FM_FMRI_MEM_SERIAL_ID,
 		    (char **)&serial, 1) != 0) {
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 		}
-		if (offset != (uint64_t)-1) {
-			if (nvlist_add_uint64(fmri, FM_FMRI_MEM_OFFSET,
-			    offset) != 0) {
-				atomic_add_64(&erpt_kstat_data.
-				    fmri_set_failed.value.ui64, 1);
-			}
+		if (offset != (uint64_t)-1 && nvlist_add_uint64(fmri,
+		    FM_FMRI_MEM_OFFSET, offset) != 0) {
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 		}
 	}
 }
@@ -1105,28 +1102,28 @@
     uint64_t vdev_guid)
 {
 	if (version != ZFS_SCHEME_VERSION0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
 	if (nvlist_add_uint8(fmri, FM_VERSION, version) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
 	if (nvlist_add_string(fmri, FM_FMRI_SCHEME, FM_FMRI_SCHEME_ZFS) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
 	if (nvlist_add_uint64(fmri, FM_FMRI_ZFS_POOL, pool_guid) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 	}
 
 	if (vdev_guid != 0) {
 		if (nvlist_add_uint64(fmri, FM_FMRI_ZFS_VDEV, vdev_guid) != 0) {
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 		}
 	}
 }
@@ -1306,20 +1303,20 @@
 	 */
 	if (nvlist_lookup_nvlist_array(bboard, FM_FMRI_HC_LIST, &hcl, &n)
 	    != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
 	for (i = 0; i < n; i++) {
 		if (nvlist_lookup_string(hcl[i], FM_FMRI_HC_NAME,
 		    &hcname) != 0) {
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 			return;
 		}
 		if (nvlist_lookup_string(hcl[i], FM_FMRI_HC_ID, &hcid) != 0) {
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 			return;
 		}
 
@@ -1331,8 +1328,8 @@
 					fm_nvlist_destroy(pairs[j],
 					    FM_NVA_RETAIN);
 			}
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 			return;
 		}
 	}
@@ -1356,8 +1353,8 @@
 					fm_nvlist_destroy(pairs[j],
 					    FM_NVA_RETAIN);
 			}
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+			    &erpt_kstat_data.fmri_set_failed.value.ui64);
 			return;
 		}
 	}
@@ -1368,7 +1365,7 @@
 	 */
 	if (nvlist_add_nvlist_array(fmri, FM_FMRI_HC_LIST, pairs,
 	    npairs + n) != 0) {
-		atomic_add_64(&erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+		atomic_inc_64(&erpt_kstat_data.fmri_set_failed.value.ui64);
 		return;
 	}
 
@@ -1378,8 +1375,8 @@
 
 	if (snvl != NULL) {
 		if (nvlist_add_nvlist(fmri, FM_FMRI_HC_SPECIFIC, snvl) != 0) {
-			atomic_add_64(
-			    &erpt_kstat_data.fmri_set_failed.value.ui64, 1);
+			atomic_inc_64(
+				&erpt_kstat_data.fmri_set_failed.value.ui64);
 			return;
 		}
 	}
